# $Revision: 1.17 $, $Date: 2011/04/07 19:47:09 $
Summary:	Python bindings for libnotify
Summary(pl.UTF-8):	Wiązania Pythona do libnotify
Name:		python-pynotify
Version:	0.1.1
Release:	10
License:	LGPL v2.1
Group:		Libraries/Python
Source0:	http://galago-project.org/files/releases/source/notify-python/notify-python-%{version}.tar.gz
# Source0-md5:	8f0ef0939cc8edd2efd896ce5ba80cf4
Patch0:		%{name}-codegen.patch
Patch1:		libnotify07.patch
URL:		http://galago-project.org/
BuildRequires:	autoconf >= 2.50
BuildRequires:	automake
BuildRequires:	libnotify-devel >= 0.4.3
BuildRequires:	libtool
BuildRequires:	pkgconfig
BuildRequires:	python-devel >= 1:2.5
BuildRequires:	python-pygtk-devel >= 2:2.4.0
BuildRequires:	rpm-pythonprov
BuildRequires:	rpmbuild(macros) >= 1.219
%pyrequires_eq	python-libs
Requires:	libnotify >= 0.4.3
Requires:	python-pygtk-gtk >= 2:2.4.0
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Python bindings for libnotify.

%description -l pl.UTF-8
Wiązania Pythona do libnotify.

%package devel
Summary:	Development files for libnotify Python bindings
Summary(pl.UTF-8):	Pliki programistyczne wiązań Pythona do libnotify
Group:		Development/Languages/Python
Requires:	%{name} = %{version}-%{release}
Requires:	python-pygtk-devel >= 2:2.4.0

%description devel
Development files for libnotify Python bindings.

%description devel -l pl.UTF-8
Pliki programistyczne wiązań Pythona do libnotify.

%prep
%setup -q -n notify-python-%{version}
%patch0 -p1
%patch1 -p1

%build
%{__libtoolize}
%{__aclocal}
%{__autoconf}
%configure
%{__make} clean
%{__make} \
	PYTHON="%{__python}"

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	PYTHON="%{__python}" \
	DESTDIR=$RPM_BUILD_ROOT

rm -f $RPM_BUILD_ROOT%{py_sitedir}/gtk-2.0/pynotify/*.la
%py_postclean

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc AUTHORS ChangeLog NEWS
%dir %{py_sitedir}/gtk-2.0/pynotify
%{py_sitedir}/gtk-2.0/pynotify/__init__.py[co]
%attr(755,root,root) %{py_sitedir}/gtk-2.0/pynotify/_pynotify.so

%files devel
%defattr(644,root,root,755)
%{_datadir}/pygtk/2.0/defs/pynotify.defs
%{_pkgconfigdir}/notify-python.pc

%define date    %(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: python-pynotify.spec,v $
Revision 1.17  2011/04/07 19:47:09  arekm
- rel 10; libinotify 0.7 support

Revision 1.16  2011/04/07 17:22:30  arekm
- release 9

Revision 1.15  2011/04/06 16:26:46  lisu
- rel 8

Revision 1.14  2011/04/06 16:25:24  lisu
- fix build with libnotify 0.7

Revision 1.13  2011/04/06 14:34:05  lisu
- rel 7

Revision 1.12  2010/09/21 19:00:13  glen
- release 6

Revision 1.11  2010/07/08 16:41:25  arekm
- release 5

Revision 1.10  2009/03/15 15:55:41  patrys
- use autotools to regenerate build env
- patch for codegen path
- rel 4
- patch provided by Lukasz Kies <kiesiu at kiesiu com>

Revision 1.9  2008/10/03 17:58:04  arekm
- release 3

Revision 1.8  2008-04-01 19:08:20  qboosh
- files cleanup, separated -devel
- revised docs and deps
- License seems to be LGPL v2.1

Revision 1.7  2008-04-01 17:59:05  jajcus
- pkgconfig and defs file added

Revision 1.6  2007-09-11 22:36:38  glen
- rel 2

Revision 1.5  2007/05/25 21:59:34  qboosh
- more deps, cleanup

Revision 1.4  2007/05/25 07:14:02  zboczuch
- BR: libnotify

Revision 1.3  2007/03/31 17:48:07  qboosh
- Group fixed

Revision 1.2  2007/03/31 17:46:01  qboosh
- pl, BR: rpm-pythonprov

Revision 1.1  2007/03/25 03:22:04  patrys
- initial PLD release
